---
#Installationsscript


##########################################################
#########   Entwicklungsumgebung            ##############
##########################################################
- name: Installation für Entwicklungsumgebung
  hosts: development
  become_user: jetty
  become: yes

  roles:
    ##- chrony
    ##- base_installation  
    ##- git
    ##- ams_0008_8.0.8.0
    ##- ams_sso  
    ##- ams_0008_8.0.8.0_AdminServer
    ##- ams_0013_8.0.9.0
    ##- ams_0013_8.0.9.0_hotfix
    ##- ams_0014_14.0.2.0
    ##- ams_0014_14.0.2.0_AdminServer
    ##- ams_0015_8.0.9.0_hotfix
    ##- ams_0016_14.1.2.0
    ##- ams_0016_14.1.2.0_AdminServer
    #- ams_0017_14.1.4.0
    #- ams_0017_14.1.4.0_AdminServer
    - ams_0019_14.1.6.0
    - ams_0019_14.1.6.0_AdminServer
    

  #handlers: 
    #- name: stopALL
      #command: ./stopALL
      #args:
        #chdir: "/home/jetty"
      #async: 1
      #poll: 0
      
    #- name: Wait for status File Appserver is absent
      #local_action:
        #module: wait_for
        #path: /opt/rola/ams/linux/Appserver/service/rsWebserviceAppserver.status
        #state: absent
      #async: 120
      #poll: 5
        
    #- name: startALL
      #command: ./startALL 
      #args:
        #chdir: "/home/jetty"
      #async: 120
      #poll: 5
       
   



    
##########################################################
#########   QS                              ##############
##########################################################
- name: Installation für QS-Umgebung
  hosts: qs
  become_user: jetty
  become: yes

  roles:
    ##- chrony
    ##- base_installation
    ##- base_installation
    ##- git
    ##- ams_0008_8.0.8.0
    ##- ams_sso  
    ##- ams_0008_8.0.8.0_AdminServer
    ##- ams_0013_8.0.9.0  
    ##- ams_0015_8.0.9.0   
    ##- ams_0017_14.1.4.0
    ##- ams_0017_14.1.4.0_AdminServer
    #- ams_0019_14.1.6.0
    #- ams_0019_14.1.6.0_AdminServer
    #- enable_import_cv_xml
    ##- disable_import_cv_xml
    - ams_0019_14.1.6.0_enable_monitoring
    
  #handlers: 
    #- name: stopALL
      #command: ./stopALL
      #args:
        #chdir: "/home/jetty"
      #async: 1
      #poll: 0
      
    #- name: Wait for status File Appserver is absent
      #local_action:
        #module: wait_for
        #path: /opt/rola/ams/linux/Appserver/service/rsWebserviceAppserver.status
        #state: absent
      #async: 120
      #poll: 5
        
    #- name: startALL
      #command: ./startALL 
      #args:
        #chdir: "/home/jetty"
      #async: 120
      #poll: 5  
  
  
##########################################################
#########   Produktionsumgebung             ##############
##########################################################  
- name: Installation für Produktionsumgebung
  hosts: production
  become_user: jetty
  become: yes

  roles:
    #- chrony
    #- base_installation
    #- git
    #- ams_0008_8.0.8.0
    - ams_sso
    #- ams_0008_8.0.8.0_AdminServer
    #- ams_0013_8.0.9.0
    - ams_0017_14.1.4.0
    - ams_0017_14.1.4.0_AdminServer

    
  handlers: 
    - name: stopALL
      command: ./stopALL
      args:
        chdir: "/home/jetty"
      async: 1
      poll: 0
      
    - name: Wait for status File Appserver is absent
      local_action:
        module: wait_for
        path: /opt/rola/ams/linux/Appserver/service/rsWebserviceAppserver.status
        state: absent
      async: 120
      poll: 5
        
    - name: startALL
      command: ./startALL 
      args:
        chdir: "/home/jetty"
      async: 120
      poll: 5  
    
    
    
##########################################################
#########   Schulungsumgebung               ##############
##########################################################  
- name: Installation für Schulungsumgebung
  hosts: teaching
  become_user: jetty
  become: yes

  roles:
    ##- chrony
    ##- base_installation
    ##- git
    ##- ams_0008_8.0.8.0
    ##- ams_sso  
    ##- ams_0008_8.0.8.0_AdminServer
    ##- ams_0013_8.0.9.0 
    ##- ams_0017_14.1.4.0
    ##- ams_0017_14.1.4.0_AdminServer
    - ams_0019_14.1.6.0
    - ams_0019_14.1.6.0_AdminServer


 
  handlers: 
    - name: stopALL
      command: ./stopALL
      args:
        chdir: "/home/jetty"
      async: 1
      poll: 0
      
    - name: Wait for status File Appserver is absent
      local_action:
        module: wait_for
        path: /opt/rola/ams/linux/Appserver/service/rsWebserviceAppserver.status
        state: absent
      async: 120
      poll: 5
        
    - name: startALL
      command: ./startALL 
      args:
        chdir: "/home/jetty"
      async: 120
      poll: 5   
    
    
    
    
    
